<?php
namespace ArchiveSiteMeta;

return [
    'view_manager' => [
        'template_path_stack' => [
            dirname(__DIR__) . '/view',
        ],
        'template_map' => [
           //'layout/layout' => __DIR__ . '/../../../themes/archive/view/layout/layout.phtml',
           //'omeka/index/index' => __DIR__ . '/../../../themes/archive/view/omeka/site/index/index.phtml',
           'omeka/search/results' => __DIR__ . '/../../../themes/archive/view/omeka/search/results.phtml',
           'omeka/site-admin/page/edit' => __DIR__ . '/../../../themes/archive/view/omeka/site-admin/page/edit.phtml',
           //'common/site-list-entry' => __DIR__ . '/../../../themes/archive/view/common/site-list-entry.phtml',
         ],
    ],
    'view_helpers' => [
        'factories' => [
            'archiveSiteMeta' => Service\ViewHelper\ArchiveSiteMetaViewHelperFactory::class,
            //'archiveSiteMeta' => View\Helper\ArchiveSiteMeta::class,
            //'siteCollections' => View\Helper\SiteCollections::class,
        ],
    ],
    'block_layouts' => [
        'factories' => [
            'archiveSiteMeta' => Service\BlockLayout\ArchiveSiteMetaFactory::class,
        ],
    ],
    'form_elements' => [
        'invokables' => [
            Form\ArchiveSiteMetaBlockForm::class => Form\ArchiveSiteMetaBlockForm::class,
        ],
        'factories' => [
            Form\ConfigForm::class => Service\Form\ConfigFormFactory::class,
        ],
    ],
    'config' => [
      'SiteMeta' => [
          'sitemeta_collections' => '',
      ],
    ],
    'DefaultSettings' => [
        'ArchiveSiteMetaBlockForm' => [
            'page_type' => 'home',
            'currator' => '',
            'project_date' => '',
            'collection' => '',
            'wrapStyle' => 'overflow-y: hidden;display: flex;flex-direction: column;justify-content: center;',
        ],
    ]
];
